Bug 222131 - Update for graphics/appleseed
Summary: Update for graphics/appleseed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords:
Depends on:
Blocks: 220784
  Show dependency treegraph
 
Reported: 2017-09-08 02:11 UTC by Shane
Modified: 2017-12-04 14:11 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (danfe)


Attachments
update to disable osl as a default option (802 bytes, patch)
2017-09-08 02:11 UTC, Shane
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shane 2017-09-08 02:11:09 UTC
Created attachment 186155 [details]
update to disable osl as a default option

As the maintainer of graphics/openshadinglanguage I want to update that port to 1.8.10, this update includes support for llvm4.0 so the existing use of llvm34 can be removed.

The current version of appleseed fails to build with osl 1.8 and the current HEAD fails against the boost 1.65 so I am not certain if it still fails againgst osl 1.8.x

The solution for now is to disable osl as a default option until a better fix is found. The patch also removes OSL from the list of auto enabled options so that it can be disabled.
Comment 1 commit-hook freebsd_committer 2017-09-09 19:41:02 UTC
A commit references this bug:

Author: jbeich
Date: Sat Sep  9 19:40:11 UTC 2017
New revision: 449507
URL: https://svnweb.freebsd.org/changeset/ports/449507

Log:
  graphics/openshadinglanguage: update to 1.8.10

  - graphics/appleseed isn't compatible yet, so disable OSL by default

  Changes:	https://github.com/imageworks/OpenShadingLanguage/blob/Release-1.8.10/CHANGES.md
  PR:		220784 222131
  Submitted by:	Shane Ambler <FreeBSD@ShaneWare.Biz> (maintainer)

Changes:
  head/graphics/appleseed/Makefile
  head/graphics/blender/Makefile
  head/graphics/openshadinglanguage/Makefile
  head/graphics/openshadinglanguage/distinfo
  head/graphics/openshadinglanguage/files/patch-src_doc_CMakeLists.txt
  head/graphics/openshadinglanguage/pkg-plist
Comment 2 Jan Beich freebsd_committer 2017-09-09 19:45:43 UTC
Comment on attachment 186155 [details]
update to disable osl as a default option

>-.for lib in EXR OIIO OSL PNG SEEXPR XERCES ZLIB
>+.for lib in EXR OIIO PNG SEEXPR XERCES ZLIB
> CMAKE_ARGS+=	-DUSE_EXTERNAL_${lib}:BOOL=ON
> .endfor

Dropped. If OSL is unused it doesn't matter if we want system library or bundled one.
Comment 3 Jan Beich freebsd_committer 2017-09-09 19:46:41 UTC
Thanks. Landed, technically under portmgr "just fix it" blanket.
Comment 4 François Beaune 2017-12-03 14:52:08 UTC
Hello, just to let you know that appleseed builds fine with OSL 1.8.x.
Comment 5 Alexey Dokuchaev freebsd_committer 2017-12-04 14:10:27 UTC
Yes, I know; in fact, the last obstacle to have OSL enabled back (missing RTTI support) was recently fixed in ports r455400.  I'm working on updating appleseed port to version 1.8.0-beta which should hit the tree soonish.
Comment 6 François Beaune 2017-12-04 14:11:28 UTC
Lovely! Thanks for the port.